function param = get_cellorganizer_default_parameters( param )
%GET_CELLORGANIZER_DEFAULT_PARAMETERS This helper function helps set up the
%default parameters for CellOrganizer

% Ivan E. Cao-Berg
%
% Copyright (C) 2015 Murphy Lab
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu

%these are the default baby parameters for cellorganizer
param = ml_initparam( param, struct( ...
    'debug', false, ...
    'display', false , ...
    'verbose', 'true' ));

param = ml_initparam(param, ...
    struct('saveIntermediateResults', true) );

param = ml_initparam( param, struct( ...
    'slml', struct( 'level', '1' )));

param = ml_initparam( param, struct( ...
    'slml', struct( 'version', '1.1' )));

%these are optional parameters
param = ml_initparam( param, struct( ...
    'save_helper_figures', false, ...
    'save_helper_movies', false, ...
    'interactive', false, ...
    'time_to_pause', 1 ));
